<template>
  <div>
    <div>
      <FormularioUsuario />
    </div>
  </div>
</template>



<script setup lang="ts">
//libreries
import { onMounted } from "vue";
import { useRoute, useRouter } from "vue-router";
import { BreadCrumbRoute } from "@hcd-bsas/vue3-components";
import { useBreadcrumb } from "@/shared.js";
//components
import FormularioUsuario from "@/components/Usuarios/FormularioUsuario.vue";
// Stores

const route = useRoute();
const router = useRouter();

const { breadcrumb } = useBreadcrumb();


onMounted(async () => {
  
  breadcrumb?.initRoutes([
    new BreadCrumbRoute("inicio"),
    new BreadCrumbRoute("inicioUsuarios"),
    new BreadCrumbRoute("editar-usuarios", { id: route.params.id } ),
  ]);

}); 


</script>


<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped></style>
